#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
#
register_check_parameters(
    subgroup_applications,
    'cisco_asyncos_license',
    _('Cisco AsyncOS license'),
    Dictionary(
       #  help=_(''),
        elements=[
            ('features_ignore',
              ListOfStrings(
                  title=_('license features to ignore'),
                  orientation='vertical',
                  help=_('there will be no warning/critical if this features are expired'
                         'Examples: McAfee, IronPort Email Encryption, Data Loss Prevention, etc.'),
              )
             ),
            ('expire',
             Tuple(
                 title=_('Levels for licence expiration in days'),
                 elements=[
                     Integer(title=_('Warning'), default_value=30, unit=_('days before expiration')),
                     Integer(title=_('Critical'), default_value=7, unit=_('days before expiration')),
                 ])),
        ],
    ),
    None,
    match_type='dict',
)
